//  main: main.less, out: ../style.css

/* ====================================================================================================================================
LAYOUT
======================================================================================================================================*/

.l-container {
  position: relative;
  max-width: 1340px;
  width: 100%;
  margin: 0 auto;
  @media @media_smartphone {
    padding: 0 @margin__s;
  }
}

.l-fullwidth {
  position: relative;
  width: 100%;
  margin-left: auto;
  margin-right: auto;
  max-width: 1920px;
  @media @media_landascape, @media_desktop {
    padding: 0 30px;
}
}

.l-half {
  width: 50%;
  @media @media_smartphone {
    width: 100%;
  }
}

.l-flex {
  .u-flex-display;
  
  @media @media_smartphone {
    .u-flex-direction(column);
  }
}

.l-margin {
  margin: @margin__l auto;
  @media @media_smartphone {
    margin: @margin__m auto;
  }
}

.l-marginBottom {
  margin-bottom: @margin__xl*2;
  @media @media_tablet, @media_smartphone {
    margin-bottom: @margin__xl;
  }
}

.l-nomargin {
  margin: 0 auto;
}

.container-article {
  .u-flex-display;
}
